class Tooltip{
  int x;
  int y;
  int w;
  int h;
  int xOff = 8; 
  int yOff = 30;
  String msg;
  
  Tooltip(String msg, int x, int y, int w, int h){
    this.x = x;
    this.y = y;
    this.w = w;
    this.h = h;
    this.msg = msg;
  }
  
  void loop(){
    noStroke();
    if(x < mouseX && mouseX < x + w && y < mouseY && mouseY < y + h){
      stroke(#000000);
      strokeWeight(1);
      fill(#FFFFFF);
      rect(mouseX + xOff - 1, mouseY + yOff - 13, msg.length() * 8 + 2, 14);
      fill(#000000);
      text(msg, mouseX + xOff, mouseY + yOff);
    }
  }
}
